> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get load balancer L7 policy



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}:
    get:
      tags:
        - Load Balancers
      summary: Get load balancer L7 policy
      operationId: L7PolicyInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: l7policy_id
          required: true
          description: L7 policy ID
          schema:
            description: L7 policy ID
            example: 023f2e34-7806-443b-bfae-16c324569a3d
            examples:
              - 023f2e34-7806-443b-bfae-16c324569a3d
            title: L7Policy Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/L7PolicySerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            load_balancer_l7_policy =
            client.cloud.load_balancers.l7_policies.get(
                l7policy_id="023f2e34-7806-443b-bfae-16c324569a3d",
                project_id=1,
                region_id=1,
            )

            print(load_balancer_l7_policy.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tloadBalancerL7Policy, err := client.Cloud.LoadBalancers.L7Policies.Get(\n\t\tcontext.TODO(),\n\t\t\"023f2e34-7806-443b-bfae-16c324569a3d\",\n\t\tcloud.LoadBalancerL7PolicyGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", loadBalancerL7Policy.ID)\n}\n"
components:
  schemas:
    L7PolicySerializer:
      properties:
        action:
          $ref: '#/components/schemas/PolicyActionEnum'
          description: Action
          examples:
            - REDIRECT_TO_URL
        id:
          description: ID
          example: 9b4b9a23-ccac-4945-bcdd-b0e793c12cd9
          examples:
            - 9b4b9a23-ccac-4945-bcdd-b0e793c12cd9
          title: Id
          type: string
        listener_id:
          description: Listener ID
          example: 023f2e34-7806-443b-bfae-16c324569a3d
          examples:
            - 023f2e34-7806-443b-bfae-16c324569a3d
          title: Listener Id
          type: string
        name:
          description: Human-readable name of the policy
          example: redirect-example.com
          examples:
            - redirect-example.com
          title: Name
          type: string
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: L7 policy operating status
          examples:
            - ONLINE
        position:
          description: The position of this policy on the listener. Positions start at 1.
          example: 1
          examples:
            - 1
          exclusiveMinimum: 0
          title: Position
          type: integer
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          examples:
            - ACTIVE
        redirect_http_code:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Requests matching this policy will be redirected to the specified
            URL or Prefix URL with the HTTP response code. Valid if action is
            `REDIRECT_TO_URL` or `REDIRECT_PREFIX`. Valid options are 301, 302,
            303, 307, or 308. Default is 302.
          examples:
            - 301
            - 302
            - 303
            - 307
            - 308
          title: Redirect Http Code
        redirect_pool_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Requests matching this policy will be redirected to the pool with
            this ID. Only valid if action is `REDIRECT_TO_POOL`.
          examples:
            - 00000000-0000-4000-8000-000000000000
          title: Redirect Pool Id
        redirect_prefix:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Requests matching this policy will be redirected to this Prefix URL.
            Only valid if action is `REDIRECT_PREFIX`.
          title: Redirect Prefix
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Requests matching this policy will be redirected to this URL. Only
            valid if action is `REDIRECT_TO_URL`.
          title: Redirect Url
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        rules:
          description: >-
            Rules. All the rules associated with a given policy are logically
            ANDed together. A request must match all the policy’s rules to match
            the policy.If you need to express a logical OR operation between
            rules, then do this by creating multiple policies with the same
            action.
          items:
            $ref: '#/components/schemas/L7RuleInlineSerializer'
          title: Rules
          type: array
        tags:
          description: A list of simple strings assigned to the resource.
          example:
            - test_tag
          examples:
            - - test_tag
          items:
            type: string
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - 023f2e34-7806-443b-bfae-16c324569a3d
          title: Task Id
      required:
        - project_id
        - region_id
        - region
        - action
        - id
        - listener_id
        - name
        - operating_status
        - position
        - provisioning_status
        - redirect_http_code
        - redirect_pool_id
        - redirect_prefix
        - redirect_url
        - rules
        - tags
        - task_id
      title: L7PolicySerializer
      type: object
    PolicyActionEnum:
      enum:
        - REDIRECT_PREFIX
        - REDIRECT_TO_POOL
        - REDIRECT_TO_URL
        - REJECT
      title: PolicyActionEnum
      type: string
    OperatingStatusEnum:
      enum:
        - DEGRADED
        - DRAINING
        - ERROR
        - NO_MONITOR
        - OFFLINE
        - ONLINE
      title: OperatingStatusEnum
      type: string
    ProvisioningStatusEnum:
      enum:
        - ACTIVE
        - DELETED
        - ERROR
        - PENDING_CREATE
        - PENDING_DELETE
        - PENDING_UPDATE
      title: ProvisioningStatusEnum
      type: string
    L7RuleInlineSerializer:
      properties:
        id:
          description: L7Rule ID
          example: 0ca7bebd-7a54-4977-bca7-e4ac1e612ec7
          examples:
            - 0ca7bebd-7a54-4977-bca7-e4ac1e612ec7
          title: Id
          type: string
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
      required:
        - project_id
        - region_id
        - region
        - id
      title: L7RuleInlineSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````